Subject: Re: [PATCH net-next v6 0/6] TLS read_sock performance scalability

From: [email-masked]
Date: Thu, 26 Mar 2026 22:34:42 +0000

Hello:

This series was applied to netdev/net-next.git (main)
by Paolo Abeni <[email-masked]>:

On Thu, 26 Mar 2026 09:50:45 -0400 you wrote:
> I'd like to encourage in-kernel kTLS consumers (i.e., NFS and
> NVMe/TCP) to coalesce on the use of read_sock. When I suggested
> this to Hannes, he reported a number of nagging performance
> scalability issues with read_sock. This series is an attempt to
> run these issues down and get them fixed before we convert the
> above sock_recvmsg consumers over to read_sock.
> 
> [...]

Here is the summary with links:
  - [net-next,v6,1/6] tls: Purge async_hold in tls_decrypt_async_wait()
    https://git.kernel.org/netdev/net-next/c/84a8335d8300
  - [net-next,v6,2/6] tls: Abort the connection on decrypt failure
    (no matching commit)
  - [net-next,v6,3/6] tls: Fix dangling skb pointer in tls_sw_read_sock()
    (no matching commit)
  - [net-next,v6,4/6] tls: Factor tls_strp_msg_release() from tls_strp_msg_done()
    (no matching commit)
  - [net-next,v6,5/6] tls: Suppress spurious saved_data_ready on all receive paths
    (no matching commit)
  - [net-next,v6,6/6] tls: Flush backlog before waiting for a new record
    (no matching commit)

You are awesome, thank you!
-- 
Deet-doot-dot, I am a bot.
https://korg.docs.kernel.org/patchwork/pwbot.html